
function [nodes_x,nodes_y]=pts_disk(n)

% deg=n;

n1=n;
if (mod(n,2) == 0)
n2=n+2;
else
n2=n+1;  
end;

%construction of the extraction symmetric polar grid
j1=(0:1:n1);
j2=(0:1:n2-1);
[rho,theta]=meshgrid(cos(j1*pi/n1),j2*pi/n2);

meshA=[rho(:).*cos(theta(:)) rho(:).*sin(theta(:))];

nodes_x=meshA(:,1);
nodes_y=meshA(:,2);
    
end
