
function [s,t]=wam_trapezoid(N,a,b,funfcn1,funfcn2)

g1 = fcnchk(funfcn1);
g2 = fcnchk(funfcn2);

Pad = pdpts(N);

xi1=Pad(:,1); xi2=Pad(:,1);

s=((b-a)/2)*(xi1+(a+b)/(b-a));

g1_s=feval(g1,s);
g2_s=feval(g2,s);

t=( (g2_s-g1_s)/2 ).*( xi2 + (g2_s+g1_s)./(g2_s-g1_s) );

s=s';
t=t';

ss=isnan(s); 
tt=isnan(t); 

if sum(ss+tt) > 0
    fprintf('\n \t [WARNING]: SOME POINTS IN THE WAM MAY NOT BE ESTABLISHED SINCE THEY ARE NaN!');
end
    